apiVersion: apps/v1
kind: Deployment
metadata:
  name:  realtimeapp
  namespace: {{ include "getnamespace" . }}
  labels:
    app: realtimefront
spec:
  replicas: {{ .Values.deployment.replicaCount }}
  selector:
    matchLabels:
      app: realtimefront
  template:
    metadata:
      labels:
        app: realtimefront
    spec:
      containers:
      - name:  realtimeapp
        image:  {{ .Values.deployment.image }}:{{ .Values.deployment.tag }}
        resources:
          requests:
            cpu: 25m
            memory: 50Mi
          limits:
            cpu: 150m
            memory: 150Mi
        ports:
        - containerPort: 5000
        env:
          - name: APIURL
            value: {{ .Values.deployment.apiURL }}
      # imagePullPolicy: Never